This APP developed for somatic short variant discovery (SNVs + Indels).


***Supported callers***
* TNhaplotyper2
* TNscope
* VarScan
* TNhaplotyper (This caller is only available in `v0.1.0` as it is too outdated)
Variant caller can be selected by setting `ture/false` in the submitted sample.csv.

***Accepted data***
* TN matched WES
* WGS
The datatype is judged by whether the bed file is set (i.e. the `regions` in inputs).


#### New version
* The TNhaplotyper, also named as TNseq in `v0.1.0`, has beed substituted by TNhaplotyper2.
* The `corealigner` step has been removed.

#### How to run this APP

We recommend using choppy system and Aliyun OSS service. The command will look like this:

```
open-choppy-env

choppy install YaqingLiu/variant-calling-latest

choppy samples YaqingLiu/variant-calling-latest --no-default
# sample_id,normal_fastq_1,normal_fastq_2,tumor_fastq_1,tumor_fastq_2

choppy batch YaqingLiu/variant-calling-latest samples.csv -p Project -l Label

# Query the status of all tasks in the project
choppy query -L Label | grep "status"
```

**Please note**: The `defaults` can be forcibly replaced by the settings in `samples.csv`. Therefore, there is no need to contact me over this issue.


**Please carefully check**
* the reference genome
* bed file
* the caller you want to use
* whether PoN needs to be set