task vcf2maf {

	String sample
	File multianno_txt
	String maf_name = basename(multianno_txt,".hg38_multianno.txt")

	String docker
	String cluster_config
	String disk_size

	command <<<
		vcf2maf ${multianno_txt} ${maf_name}.maf
	>>>

	runtime {
		docker: docker
		cluster: cluster_config
		systemDisk: "cloud_ssd 40"
		dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
	}

	output {
		File maf = "${maf_name}.maf"
	}
}